AllBufferSet (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.search

## Class AllBufferSet

- java.lang.Object
- - org.gjt.sp.jedit.search.BufferListSet
  - - org.gjt.sp.jedit.search.AllBufferSet

- All Implemented Interfaces:
    SearchFileSet

      public class AllBufferSet
      extends BufferListSet

  A file set for searching all open buffers in a view.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllBufferSet(java.lang.String glob, View view)` Creates a view buffer set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String[]` | `_getFiles(java.awt.Component comp)` Note that the paths in the returned list must be fully canonicalized.
    `java.lang.String` | `getCode()` Returns the BeanShell code that will recreate this file set.
    `java.lang.String` | `getFileFilter()` Returns the filename filter.
    `View` | `getView()`

    - ### Methods inherited from class org.gjt.sp.jedit.search.BufferListSet

      `getFileCount, getFiles, getFirstFile, getLastFile, getNextFile, getPrevFile, invalidateCachedList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllBufferSet

          public AllBufferSet(java.lang.String glob,
                              View view)

      Creates a view buffer set.
      Parameters:
        `glob` - The filename glob
        `view` - The view to check for open buffers
      Since:
        jEdit 5.1pre1

  - ### Method Detail

    - #### getView

          public View getView()

      Since:
        jEdit 5.1pre1

    - #### getFileFilter

          public java.lang.String getFileFilter()

      Returns the filename filter.
      Since:
        jEdit 2.7pre3

    - #### getCode

          public java.lang.String getCode()

      Returns the BeanShell code that will recreate this file set.
      Specified by:
        `getCode` in interface `SearchFileSet`
      Overrides:
        `getCode` in class `BufferListSet`
      Since:
        jEdit 2.7pre3

    - #### _getFiles

          protected java.lang.String[] _getFiles(java.awt.Component comp)

      Description copied from class: `BufferListSet`
      Note that the paths in the returned list must be fully canonicalized.
      Specified by:
        `_getFiles` in class `BufferListSet`